Skip to content

Notify

Basics

  • Base URL: https://api.ticos.cn
  • POST /agent/notify
  • POST /knowledge/notify

1. Notify Agent changes

Request

  • Endpoint: POST /agent/notify
  • Content-Type: application/json
  • Body:
    • agent_id (required): agent ID

Example

curl --location 'https://api.ticos.cn/agent/notify' \
--header 'Content-Type: application/json' \
--data '{"agent_id": "26"}'

Response

{
"code": 0,
"message": "notify success"
}

2. Notify knowledge changes

Request

  • Endpoint: POST /knowledge/notify
  • Content-Type: application/json
  • Body: empty object {} (or parameters required by your deployment)

Example

curl --location 'https://api.ticos.cn/knowledge/notify' \
--header 'Content-Type: application/json' \
--data '{}'

Response

{
"code": 0,
"message": "notify success"
}